#include "mbed.h"
#include "motor.h"

void Motor::backward(double voltage) {
    forw.write(voltage);
    back.write(0);
}

void Motor::forward(double voltage) {
    forw.write(0);
    back.write(voltage);
}


void Motor::brake() {
    forw.write(BRAKE_VOLTAGE);
    back.write(BRAKE_VOLTAGE);
}

void Motor::coast() {
    forw.write(0);
    back.write(0);
}